﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;
using System.Threading;
using HeuristicLab.Tracing;
using System.IO;
using HeuristicLab.Hive.Contracts.Interfaces;
using HeuristicLab.PluginInfrastructure;
using HeuristicLab.PluginInfrastructure.Manager;

namespace HeuristicLab.Hive.Server.Core.IISModules {
  public class HiveServerModule : IHttpModule {
    private static object locker = new object();
    private static ILifecycleManager lifecycleManager;
    private static PluginManager pm;

    public void Init(HttpApplication context) {
      lock (locker) {
        if (lifecycleManager == null) {
          lifecycleManager = ServiceLocator.GetLifecycleManager();
        }
      }
    }

    public void Dispose() {
      lock (locker) {
        if(lifecycleManager != null) lifecycleManager.Stop();
      }
    }
  }
}
